package com.sundata.internalevaluation.calc.custom;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-14 17:12:49
 * @description: 测试Java方法获取参数
 */
public class GetDataTest {

    private static final String YYYYMMDDHHMMSS = "yyyyMMddHHmmss";
    private static final String YYYYMMDD = "yyyyMMdd";
    private static final String HHMMSS = "HHmmss";
    private static final String YYYY_MM_DD_HH_MM_SS = "yyyy-MM-dd HH:mm:ss";
    private static final String YYYY_MM_DD = "yyyy-MM-dd";
    private static final String HH_MM_SS = "HH:mm:ss";

    public String getDateTimeNumber() {
        return getStr(YYYYMMDDHHMMSS);
    }
    public String getDateNumber() {
        return getStr(YYYYMMDD);
    }
    public String getTimeNumber() {
        return getStr(HHMMSS);
    }
    public String getDateTime() {
        return getStr(YYYY_MM_DD_HH_MM_SS);
    }
    public String getDate() {
        return getStr(YYYY_MM_DD);
    }
    public String getTime() {
        return getStr(HH_MM_SS);
    }

    public String getStr(String format) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(format);
        return simpleDateFormat.format(nowDate());
    }

    public Date nowDate() {
        return new Date();
    }


    public int getInt(int i) {
        return i;
    }


    public String getString(String str) {
        return str;
    }

}
